incubator-bigtop-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From r..@apache.org
Subject svn commit: r1196090 - in /incubator/bigtop/branches/hadoop-0.22/bigtop-packages/src: deb/hadoop/hadoop.postinst rpm/hadoop/SPECS/hadoop.spec
Date Tue, 01 Nov 2011 16:18:05 GMT
Author: rvs
Date: Tue Nov  1 16:18:04 2011
New Revision: 1196090

URL: http://svn.apache.org/viewvc?rev=1196090&view=rev
Log:
FIXME: a total hack

Modified:
    incubator/bigtop/branches/hadoop-0.22/bigtop-packages/src/deb/hadoop/hadoop.postinst
    incubator/bigtop/branches/hadoop-0.22/bigtop-packages/src/rpm/hadoop/SPECS/hadoop.spec

Modified: incubator/bigtop/branches/hadoop-0.22/bigtop-packages/src/deb/hadoop/hadoop.postinst
URL: http://svn.apache.org/viewvc/incubator/bigtop/branches/hadoop-0.22/bigtop-packages/src/deb/hadoop/hadoop.postinst?rev=1196090&r1=1196089&r2=1196090&view=diff
==============================================================================
--- incubator/bigtop/branches/hadoop-0.22/bigtop-packages/src/deb/hadoop/hadoop.postinst (original)
+++ incubator/bigtop/branches/hadoop-0.22/bigtop-packages/src/deb/hadoop/hadoop.postinst Tue
Nov  1 16:18:04 2011
@@ -34,7 +34,12 @@ case "$1" in
         # We don't want to do this recursively since we may be reinstalling, in which case
         # users have their own cache/<username> directories which shouldn't be stolen
         chown root:hadoop /var/lib/hadoop/ /var/lib/hadoop/cache/ /var/lib/hadoop/cache/hadoop/
-        chmod 1777 /var/lib/hadoop/cache/
+	chmod 1777 /var/lib/hadoop/cache/
+        chmod g+w /var/lib/hadoop/cache/hadoop/
+	mkdir -p /var/log/hadoop || :
+	touch /var/log/hadoop/SecurityAuth.audit
+        chgrp hadoop /var/log/hadoop/SecurityAuth.audit
+	chmod g+w /var/log/hadoop/SecurityAuth.audit
         update-alternatives --install /etc/hadoop/conf hadoop-conf /etc/hadoop/conf.empty
10
     ;;
 

Modified: incubator/bigtop/branches/hadoop-0.22/bigtop-packages/src/rpm/hadoop/SPECS/hadoop.spec
URL: http://svn.apache.org/viewvc/incubator/bigtop/branches/hadoop-0.22/bigtop-packages/src/rpm/hadoop/SPECS/hadoop.spec?rev=1196090&r1=1196089&r2=1196090&view=diff
==============================================================================
--- incubator/bigtop/branches/hadoop-0.22/bigtop-packages/src/rpm/hadoop/SPECS/hadoop.spec
(original)
+++ incubator/bigtop/branches/hadoop-0.22/bigtop-packages/src/rpm/hadoop/SPECS/hadoop.spec
Tue Nov  1 16:18:04 2011
@@ -403,6 +403,11 @@ getent passwd hdfs >/dev/null || /usr/sb
   --slave /etc/%{hadoop_name} %{hadoop_name}-etc %{etc_hadoop} \
   --slave %{man_hadoop}/man1/%{hadoop_name}.1.*z %{hadoop_name}-man %{man_hadoop}/man1/%{name}.1.*z
 
+chmod g+w /var/lib/hadoop/cache/hadoop/
+mkdir -p /var/log/hadoop || :
+touch /var/log/hadoop/SecurityAuth.audit
+chgrp hadoop /var/log/hadoop/SecurityAuth.audit
+chmod g+w /var/log/hadoop/SecurityAuth.audit
 
 %preun
 if [ "$1" = 0 ]; then



Mime
View raw message